Loading...
Searching...
No Matches
FluidStateEnthalpyModules.hpp File Reference

Modules for the ModularFluidState which represent enthalpy. More...

`#include <opm/material/common/MathToolbox.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <array>`

Go to the source code of this file.

## Classes

class | Opm::FluidStateExplicitEnthalpyModule< Scalar, numPhases, Implementation >
| Module for the modular fluid state which stores the enthalpies explicitly. More...
class | Opm::FluidStateNullEnthalpyModule< Scalar, numPhases, Implementation >
| Module for the modular fluid state which does not store the enthalpies but returns 0 instead. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Modules for the ModularFluidState which represent enthalpy.